package com.ruoyi.zongzhi.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.zongzhi.mapper.TcSafetyDetectionMapper;
import com.ruoyi.zongzhi.domain.TcSafetyDetection;
import com.ruoyi.zongzhi.service.ITcSafetyDetectionService;

/**
 * 安全检测Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
@Service
public class TcSafetyDetectionServiceImpl implements ITcSafetyDetectionService 
{
    @Autowired
    private TcSafetyDetectionMapper tcSafetyDetectionMapper;

    /**
     * 查询安全检测
     * 
     * @param id 安全检测主键
     * @return 安全检测
     */
    @Override
    public TcSafetyDetection selectTcSafetyDetectionById(Long id)
    {
        return tcSafetyDetectionMapper.selectTcSafetyDetectionById(id);
    }

    /**
     * 查询安全检测列表
     * 
     * @param tcSafetyDetection 安全检测
     * @return 安全检测
     */
    @Override
    public List<TcSafetyDetection> selectTcSafetyDetectionList(TcSafetyDetection tcSafetyDetection)
    {
        return tcSafetyDetectionMapper.selectTcSafetyDetectionList(tcSafetyDetection);
    }

    /**
     * 新增安全检测
     * 
     * @param tcSafetyDetection 安全检测
     * @return 结果
     */
    @Override
    public int insertTcSafetyDetection(TcSafetyDetection tcSafetyDetection)
    {
        tcSafetyDetection.setCreateTime(DateUtils.getNowDate());
        return tcSafetyDetectionMapper.insertTcSafetyDetection(tcSafetyDetection);
    }

    /**
     * 修改安全检测
     * 
     * @param tcSafetyDetection 安全检测
     * @return 结果
     */
    @Override
    public int updateTcSafetyDetection(TcSafetyDetection tcSafetyDetection)
    {
        tcSafetyDetection.setUpdateTime(DateUtils.getNowDate());
        return tcSafetyDetectionMapper.updateTcSafetyDetection(tcSafetyDetection);
    }

    /**
     * 批量删除安全检测
     * 
     * @param ids 需要删除的安全检测主键
     * @return 结果
     */
    @Override
    public int deleteTcSafetyDetectionByIds(Long[] ids)
    {
        return tcSafetyDetectionMapper.deleteTcSafetyDetectionByIds(ids);
    }

    /**
     * 删除安全检测信息
     * 
     * @param id 安全检测主键
     * @return 结果
     */
    @Override
    public int deleteTcSafetyDetectionById(Long id)
    {
        return tcSafetyDetectionMapper.deleteTcSafetyDetectionById(id);
    }
}
